Package org.apache.ignite.spi.collision.jobstealing

## Class JobStealingRequest

- java.lang.Object
- - org.apache.ignite.spi.collision.jobstealing.JobStealingRequest

- All Implemented Interfaces:
    `Serializable`, `Message`

      public class JobStealingRequest
      extends Object
      implements Message

  Job stealing request.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `DIRECT_TYPE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobStealingRequest()` | Required by `Externalizable`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `directType()` | Gets message type.
    `byte` | `fieldsCount()` | Gets fields count.
    `void` | `onAckReceived()` | Method called when ack message received.
    `boolean` | `readFrom​(ByteBuffer buf, MessageReader reader)` | Reads this message from provided byte buffer.
    `String` | `toString()`
    `boolean` | `writeTo​(ByteBuffer buf, MessageWriter writer)` | Writes this message to provided byte buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobStealingRequest

          public JobStealingRequest()

      Required by `Externalizable`.

  - ### Method Detail

    - #### onAckReceived

          public void onAckReceived()

      Method called when ack message received.
      Specified by:
        `onAckReceived` in interface `Message`

    - #### writeTo

          public boolean writeTo​(ByteBuffer buf,
                                 MessageWriter writer)

      Writes this message to provided byte buffer.
      Specified by:
        `writeTo` in interface `Message`
      Parameters:
        `buf` - Byte buffer.
        `writer` - Writer.
      Returns:
        Whether message was fully written.

    - #### readFrom

          public boolean readFrom​(ByteBuffer buf,
                                  MessageReader reader)

      Reads this message from provided byte buffer.
      Specified by:
        `readFrom` in interface `Message`
      Parameters:
        `buf` - Byte buffer.
        `reader` - Reader.
      Returns:
        Whether message was fully read.

    - #### directType

          public short directType()

      Gets message type.
      Specified by:
        `directType` in interface `Message`
      Returns:
        Message type.

    - #### fieldsCount

          public byte fieldsCount()

      Gets fields count.
      Specified by:
        `fieldsCount` in interface `Message`
      Returns:
        Fields count.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`